/*
  Example of the use of loops
  Created by Miguel Angel Rubio - marubio@ugr.es
  date: June 2014
  See instructions.txt file
  This example code is in the public domain.
 */

#include <PhysicalComputingDemonstrations.h>

void setup() {                

  
//for (int cont = 1; cont < 100; cont ++) {
//
//  float luz = lee_luminosidad();
//  if (luz < 0.5)
//     enciende_leds();
//   else
//     apaga_leds();
//  delay(200);
//}
//  
 
for (int cont = 1; cont < 100; cont ++) {

  float luz = lee_luminosidad();
  if (luz < 0.8 && luz >= 0.5
  )
     enciende_mitad_leds();
   else if (luz < 0.5) 
     enciende_leds();
   else
     apaga_leds();
     
  delay(200);
}
 
}


// the loop routine runs over and over again forever:
void loop() {
}



void apaga_leds() {
  int leds[5] = {9,10,11,12,13};
  apaga_led(leds,5);
}

void enciende_leds() {
  int leds[5] = {9,10,11,12,13};
  enciende_led(leds,5);
}

void enciende_mitad_leds() {
  int leds[5] = {9,11,13};
  enciende_led(leds,3);
}
