/*
  Example of the use of variables
  Created by Miguel Angel Rubio - marubio@ugr.es
  date: June 2014
  See instructions.txt file
  This example code is in the public domain.
  
 */


#include <PhysicalComputingDemonstrations.h>


void setup() {                

  int leds[5] = {9,10,11,12,13}; 
  apaga_led(leds,5);
 
  int a = 3;
  int b = 7;
 
  b = a * 3 + 2;
  a = 1; 
  destellos(b);
}


// The loop routine runs over and over again forever
void loop() {

}



// Function apagar: Turns off two LEDs (13 y 9) in Arduino
void apagar() {
  int led1 = 13;
  int led2 = 9;

  apaga_led(led1);
  apaga_led(led2);
}
  
// Function encender: Turns on two LEDs (13 y 9) in Arduino
void encender() {
  int led1 = 13;
  int led2 = 9;

  enciende_led(led1);
  enciende_led(led2);
}

// Function destellos: Makes num flashes
// Input num_destellos: The number of flashes to make
void destellos(int num_destellos) {
  int led1 = 13;
  int led2 = 9;
  
  for (int cont = 0; cont < num_destellos; cont++) {
    enciende_led(led1);
    apaga_led(led1);
    para(1);

    enciende_led(led2);
    apaga_led(led2);
    para(1);  
  }
  
  apaga_led(led1);
  apaga_led(led2);
}
